define(function(require) {
    'use strict';

    var VariantFieldsView;
    var $ = require('jquery');
    var _ = require('underscore');
    var BaseView = require('oroui/js/app/views/base/view');
    require('jquery-ui');

    VariantFieldsView = BaseView.extend({
        events: {
            'click a.add-list-item': 'reindexValues'
        },

        /**
         * @inheritDoc
         */
        constructor: function VariantFieldsView() {
            VariantFieldsView.__super__.constructor.apply(this, arguments);
        },

        render: function() {
            this.initSortable();
            this.reindexValues();
            return this;
        },

        reindexValues: function() {
            var index = 1;
            this.$('[name$="[priority]"]').each(function() {
                $(this).val(index++);
            });
        },

        initSortable: function() {
            this.$('[data-name="field__variant-fields"]').sortable({
                handle: '[data-name="sortable-handle"]',
                tolerance: 'pointer',
                delay: 100,
                containment: 'parent',
                stop: _.bind(this.reindexValues, this)
            });
        }
    });

    return VariantFieldsView;
});
